Разработчики Metasploit опубликовали инструкцию по запуску эксплойтов с iPhone или iPad. Естественно, для установки фреймворка требуется рутовый доступ к устройству, то есть предварительно нужно осуществить джейлбрейк. Кроме того, нужно заранее установить несколько программ:

  • сервер OpenSSH (из Cydia)
  • apt [APT 0.7+ Strict] (из Cydia)
  • клиент SSH (например, iSSH; из App Store)

Потом нужно обновиться и установить систему контроля версий subversion.

apt-get update
apt-get dist-upgrade
apt-get install wget subversion

Скачивание и установка Ruby и других модулей, необходимых для работы фреймворка:

wget http://ininjas.com/repo/debs/ruby_1.9.2-p180-1-1_iphoneos-arm.deb
wget http://ininjas.com/repo/debs/iconv_1.14-1_iphoneos-arm.deb
wget http://ininjas.com/repo/debs/zlib_1.2.3-1_iphoneos-arm.deb
dpkg -i iconv_1.14-1_iphoneos-arm.deb
dpkg -i zlib_1.2.3-1_iphoneos-arm.deb
dpkg -i ruby_1.9.2-p180-1-1_iphoneos-arm.deb

После этого можно приступать непосредственно к установке Metasploit в стандартную папку /private/var/.

cd /private/var
svn co https://www.metasploit.com/svn/framework3/trunk/ msf3

Теперь всё готово, можно заходить в папку msf/ и запускать фреймворк.

ruby msfconsole



Оставить мнение